TULISAN - Bug #3504

Sales Order dengan Document Status Draft tidak tergenerate row Allocate di PMDMAT0004
03/13/2025 10:48 AM - haykal haykal

Status: Closed Start date: 03/13/2025
Priority: Immediate Due date: 04/16/2025
Assignee: haykal haykal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 4.00 hours
Description

Dear Developer,

Ada case seperti berikut. Jadi dalam satu hari yang sama (12/03/2025) terbentuk dua dokumen Sales Order dengan Document
Status Draft dengan MateriallD yang sama (00000001). Dua Dokumen SO tersebut adalah document Sales Order 00000230 dan
00000234. (Masing-masing Qty 1)

Jadi 'kan seharusnya di PMDMATO0004 tergenerate dua row dengan stock status Allocate untk masing-masing SORDID (00000230
dan 00000234). Namun di PMDMATO0004 yang tergenerate dengan stockstatus Allocate hanya yg SORDID 00000230, yang
00000234 tidak.

Kalau dilihat sekarang di PMDMAT0004 data Allocate yang SORDID 00000230 sudah tidak ada, karena sudah terkena Job Auto
Release yang dibuat oleh Azid. Dan yg 00000230 bisa dilihat juga bahwa document statusnya sudah berubah menjadi Cancel.
Namun karena seperti yang sudah saya jelaskan diatas, yg 00000234 tidak terkena Job yg dari Azid, dan bisa dilihat kalau saat ini
Document Statusnya masih Draft.

Tolong bantu dianalisa ya kenapa bisa seperti itu.

Terimakasih.

Port: https://tulisan-dev.minovais.com/
DB: MinovaES_Tulisan_Dev (di 89)

History

#1 - 03/13/2025 12:11 PM - Kezia Pawitra Yulianti
- Due date set to 03/14/2025
- Status changed from New to Assigned

- Priority changed from Normal to Urgent

#2 - 03/13/2025 03:17 PM - Tri Rizqiaty

- File clipboard-202503131516-x76ya.png added

- Status changed from Assigned to QA Test

- Assignee changed from Tri Rizqiaty to haykal haykal

Setelah ditest, case ini sdh bisa, contoh sprti dibawah.
Coba di test berulang kali aja dulu.
#3 - 03/14/2025 09:06 AM - haykal haykal
- Status changed from QA Test to Revise

- Assignee changed from haykal haykal to M Azid Wahyudi

Case yang sama terjadi lagi. Kemarin (13/03/2025) saya membuat dua document Sales Order dengan document status Draft untk MateriallD
00000002 (masing-masing Qty 1). Setelah saya membuat kedua document dengan status Draft tersebut (DocNo 00000269 & 00000270), saya cek di
PMDMATO0004 sudah tergenerate dua row baru dengan stock status Allocate (masing-masing Qty 1) untk SORDID 00000269 dan 00000270.

Kemrn itu saya cek untk jumlah stok MatID 00000002 di Warehouse 0001 adalah sejumlah 198. Maka harusnya hari ini (14/03/2025) jumlah stoknya
harusnya adalah 200 karena dua stock yg statusnya Allocate tadi akan balik menjadi Available.

Namun hari ini saya cek jumlah stok MatlD 00000002 di Warehouse 0001 adalah 199. Padahal seharusnya 200. Dan saya cek untk DocNo
00000269 sudah berubah menjadi Cancel, namun untk yg DocNo 00000270 document statusnya masih Draft.

Tolong bantu dicek dan disolve ya.

Terimakasih.

#4 - 04/11/2025 03:16 PM - M Azid Wahyudi

- Status changed from Revise to QA Test

- Assignee changed from M Azid Wahyudi to haykal haykal
dear haykal , udah bisa di test

makasih

#5 - 04/15/2025 02:17 PM - haykal haykal

- Status changed from QA Test to Revise

- Assignee changed from haykal haykal to M Azid Wahyudi
Gua udh bikin datanya kemrn (14/04/2025). Trus gua cek hari ini (15/04/2025) tapi gua lihat datanya gak bergerak di PMDMAT0004.
Kayaknya Job servicenya gak jalan deh.

Ini yang benerin lu apa Mas Bin?

#6 - 04/16/2025 12:38 PM - Kezia Pawitra Yulianti
- Due date changed from 03/14/2025 to 04/16/2025
- Assignee changed from M Azid Wahyudi to Muhammad Bintar

- Priority changed from Urgent to Immediate
mas bin, tolong d cek service nya udah on belum ya?

#7 - 04/22/2025 01:22 PM - Kezia Pawitra Yulianti

- Assignee changed from Muhammad Bintar to haykal haykal

task ini gmn ya statusnya Kal?
#8 - 05/02/2025 09:37 AM - haykal haykal

- Status changed from Revise to Closed
